NX Open C++ Reference Guide
|
This class handles the options setting for the curve analysis information (Inflections) display. More...
Public Types | |
enum | DirectionOptionType { DirectionOptionTypeNone, DirectionOptionTypePlaneOfCurve, DirectionOptionTypeSpecifyVector, DirectionOptionTypeWorkView } |
Direction option types. More... | |
Public Member Functions | |
std::vector< NXOpen::Point * > | CreatePoints () |
Create points at the infections of the curve. | |
NXOpen::GeometricAnalysis::CurveAnalysisInflectionsBuilder::DirectionOptionType | DirectionOption () |
Returns the direction option | |
NXOpen::ScCollector * | SelectedCurves () |
Returns the selected curves | |
void | SetDirectionOption (NXOpen::GeometricAnalysis::CurveAnalysisInflectionsBuilder::DirectionOptionType option) |
Sets the direction option | |
void | SetVector (NXOpen::Direction *vect) |
Sets the vector | |
NXOpen::Direction * | Vector () |
Returns the vector | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class handles the options setting for the curve analysis information (Inflections) display.
<br> To create a new instance of this class, use @link GeometricAnalysis::AnalysisObjectCollection::CreateCurveAnalysisInflectionsBuilder GeometricAnalysis::AnalysisObjectCollection::CreateCurveAnalysisInflectionsBuilder @endlink <br>
Created in NX6.0.0.
Direction option types.
std::vector<NXOpen::Point *> NXOpen::GeometricAnalysis::CurveAnalysisInflectionsBuilder::CreatePoints | ( | ) |
Create points at the infections of the curve.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::GeometricAnalysis::CurveAnalysisInflectionsBuilder::DirectionOptionType NXOpen::GeometricAnalysis::CurveAnalysisInflectionsBuilder::DirectionOption | ( | ) |
Returns the direction option
Use GeometricAnalysis::CurveCurvatureAnalysis .
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::ScCollector* NXOpen::GeometricAnalysis::CurveAnalysisInflectionsBuilder::SelectedCurves | ( | ) |
Returns the selected curves
Use GeometricAnalysis::CurveCurvatureAnalysis .
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::GeometricAnalysis::CurveAnalysisInflectionsBuilder::SetDirectionOption | ( | NXOpen::GeometricAnalysis::CurveAnalysisInflectionsBuilder::DirectionOptionType | option | ) |
Sets the direction option
Use GeometricAnalysis::CurveCurvatureAnalysis .
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
option | option |
void NXOpen::GeometricAnalysis::CurveAnalysisInflectionsBuilder::SetVector | ( | NXOpen::Direction * | vect | ) |
Sets the vector
Use GeometricAnalysis::CurveCurvatureAnalysis .
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
vect | vect |
NXOpen::Direction* NXOpen::GeometricAnalysis::CurveAnalysisInflectionsBuilder::Vector | ( | ) |
Returns the vector
Use GeometricAnalysis::CurveCurvatureAnalysis .
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")